BFE(4)

NAME
bfe - Broadcom BCM4401 Ethernet Device Driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device miibus
device bfe

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    if_bfe_load="YES"

DESCRIPTION
The bfe driver provides support for Broadcom BCM4401 based Fast Ethernet adapters.

The bfe driver supports the following media types:

autoselect
    Enable autoselection of the media type and options.

10baseT/UTP
    Set 10Mbps operation.

100baseTX
    Set 100Mbps (Fast Ethernet) operation.

The bfe driver supports the following media options:

full-duplex
    Set full duplex operation.

For further information on configuring this device, see ifconfig(8).

DIAGNOSTICS

bfe%d: couldn't map memory A fatal initialization error has occurred.

bfe%d: couldn't map interrupt A fatal initialization error has occurred.

bfe%d: failed to allocate DMA resources There are not enough mbufs available for allocation.

bfe%d: watchdog timeout -- resetting The device has stopped responding to the network, or there is a problem with the network connection (cable).

SEE ALSO
altq(4), arp(4), miibus(4), netintro(4), ng_ether(4), ifconfig(8)

HISTORY
The bfe device driver first appeared in FreeBSD 5.1.

AUTHORS
-nosplit The bfe device driver was written by Stuart Walsh and Duncan Barclay. This manual page was written by Stuart Walsh.